"""Klasa pomocnicza do konwertowania naglowka na element drzewa xml i klasy naglowek 
"""
from Mapa_PU.model.swdl.naglowek import Naglowek
from Mapa_PU.model.schemat import ElementBase
from Mapa_PU.model.znaczniki import Znaczniki

def parsuj_naglowek(xml):
    ##Generuje naglowek na podstawie drzewa xml
    return Naglowek()
    
def generuj_naglowek(naglowek):
    ##Buduje naglowek w formie drzewa xml
    try:
        nag=ElementBase(Znaczniki.HEADER.value)
        nag.append(ElementBase(Znaczniki.SWDL_VERSION.value,naglowek.wersja))
        dane_adresowe=ElementBase(Znaczniki.DATA_SOURCE.value)
        dane_adresowe.append(ElementBase(Znaczniki.UNIT_NAME.value,naglowek.nazwa))
        dane_adresowe.append(ElementBase(Znaczniki.UNIT_ADDRESS.value,naglowek.adres))
        nag.append(dane_adresowe)
        dane_osobowe=ElementBase(Znaczniki.RESPONSIBLE_PERSON.value)
        dane_osobowe.append(ElementBase(Znaczniki.POSITION.value,naglowek.stanowisko))
        dane_osobowe.append(ElementBase(Znaczniki.NAME.value,naglowek.imie_nazwisko))
        dane_osobowe.append(ElementBase(Znaczniki.EMAIL.value,naglowek.email))
        nag.append(dane_osobowe)
        nag.append(ElementBase(Znaczniki.EXPORT_DATE.value,naglowek.data))
        return nag
        
    except Exception as e:
        raise e
    